Results 1 to 10 of 10

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: [help] iPhone 3GS/iOS 4.0/Error 1604

  1. #1
    Default [help] iPhone 3GS/iOS 4.0/Error 1604
    Hello, eveyrone.

    I'm getting the Error 1604 trying to jailbreak my 3GS.
    Here's my little saga:

    I have the iPhone 3GS 32GB, old bootroom, jailbroken with Blackra1n on 3.1.2.

    When the pwnage tools for the iOS 4 were out, I did the following:

    1- Downloaded official firmware in iTunes 9.2
    2- Downloaded pwnage tool 4.0
    3- Created custom firmware from the officially downloaded file for the 3GS using the pwnage tool
    4- Alt+Click restored the iPhone.

    Everything seemed to work well - except that the telephone function wouldn't work.

    I had a business trip and I needed the phone - so I did a regular restore, upgraded it to 4.0 and moved on.

    Here, when the restore was over, iTunes asked me to download and install my carrier updates - everything works well now.

    When I returned, I decided to try again. Except now I get Error 1604 when trying to restore from the custom firmware.

    Also, everytime I do this, I have to go back to the official 4.0 in order to get my phone working, and every single time it asks and downloads those carrier updates that messed up my jailbreak process the first time.

    So:

    - Can I still jailbreak my iPhone after upgrading it to 4.0?
    - Can I somehow pre download the carrier updates?
    - In case the answer is no to one of those questions, is there an ETA for a more complete jailbreak tool? Not something carved on stone, but, "it generally takes "x" weeks after firmware release for a complete jailbreak tool" or something like that?

    Thank you!

  2. #2
    My iPhone is a Part of Me
    Join Date
    Apr 2010
    Location
    N. Ireland
    Posts
    649
    Thanks
    10
    Thanked 81 Times in 75 Posts

    You would need to downgrade to 3.1.2 first, jb it, then re-run a cooked ipsw.

  3. #3
    Retired Moderator Poseidon79's Avatar
    Join Date
    Jan 2008
    Location
    Austin, TX
    Posts
    8,264
    Thanks
    819
    Thanked 1,681 Times in 1,159 Posts

    The reason your phone fuction didn't work was because you let pwnage tool activate the phone. Next time when you build the firmware use the expert mode and uncheck the activation box. In order to downgrade back to 3.1.2 or 3.1.3 you must have to have your SHSH on file with Cydia for one of these firmwares... if not you're stuck at 4.0.

    Caching Apple's Signature Server - Jay Freeman (saurik)

  4. #4
    Hi guys,

    Thank you for replying.

    Heck, I *may*have activated it by accident the first time - I used the expert mode because it wouldn't find my custom firmware, so I guess activation was on by default? Heck.

    That leaves me with the question of an ETA for next jailbreak?

    Also - I have a vague memory of Cydia asking me if I wanted to store something and I would really want that. Does that make any sense?

    If I did save my files somewhere - how can I check/verify that?

    *fingers crossed*

    Thanks again!

    EDIT:
    It seems like I had the blobs after all. I was able to downgrade to 3.1.2, jailbroke with Blackra1n, restored with a custom firmware for 4.0, and everything seems to be working now

    Thanks again
    Last edited by darkew; 2010-06-29 at 08:04 PM. Reason: NEW INFO

  5. #5
    i have a feeling that I'm screwed. I just picked up a 32gb 3gs that was uploaded to 4.0. since this was not jb before I got it I can not downgrade to 3.1.3 correct? I tried to run pwnage to install a custom 4.0 and received error 1604 (guess my bootroom is to new) Any suggestions? or do I wait it out until a pwnage jb/unlock comes out for 4.0

  6. #6
    Quote Originally Posted by nderosa View Post
    i have a feeling that I'm screwed. I just picked up a 32gb 3gs that was uploaded to 4.0. since this was not jb before I got it I can not downgrade to 3.1.3 correct? I tried to run pwnage to install a custom 4.0 and received error 1604 (guess my bootroom is to new) Any suggestions? or do I wait it out until a pwnage jb/unlock comes out for 4.0
    As far as I can tell, that's correct. Newer versions cannot be jailbroken at this time - only previously jailbroken phones with old bootroom.

  7. #7
    Retired Moderator j3st3r's Avatar
    Join Date
    Mar 2008
    Location
    Louisiana
    Posts
    2,447
    Thanks
    42
    Thanked 405 Times in 395 Posts

    @darkew

    you are correct

  8. #8
    Quote Originally Posted by darkew View Post

    EDIT:
    It seems like I had the blobs after all. I was able to downgrade to 3.1.2, jailbroke with Blackra1n, restored with a custom firmware for 4.0, and everything seems to be working now

    Thanks again
    Hi Darkew,

    mind sharing how you downgraded back to 3.1.2? I faced a similar problem with you and kept restoring to the 4.0 normally via itunes without jailbreaking it.

    tried to use itunes and install the ispw 3.1.2 but the error stated not compatible for the iphone.

    hope to receive a quick reply from you! thanks!

  9. #9
    Retired Moderator j3st3r's Avatar
    Join Date
    Mar 2008
    Location
    Louisiana
    Posts
    2,447
    Thanks
    42
    Thanked 405 Times in 395 Posts

    as long as you have your 3.1.2 shsh's you can use this guide to downgrade http://modmyi.com/forums/3g-s-downgr...ecid-shsh.html

  10. #10
    Quote Originally Posted by j3st3r3 View Post
    as long as you have your 3.1.2 shsh's you can use this guide to downgrade http://modmyi.com/forums/3g-s-downgr...ecid-shsh.html
    Thanks j3st3r3,

    I read through the whole thread and saw some of them still facing certain problems. I can't remember ever saving the shsh on saurik's server, i just remember it saying something like i have shsh up to 3.1.3 even though i've never upgraded to 3.1.3, was all along at 3.1.2 before my itchy self decided to upgrade to 4.0 until i realised i didnt have any phone line working, hence the screw-ups trying to resolve the matter.

    I'll just give it a go anyways and c if it can work.... will update here if it works or not...

Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •